igeo

## Class IPlaneFieldGeo

- java.lang.Object
- - igeo.IFieldGeo
  - - igeo.IPlaneFieldGeo

- All Implemented Interfaces:
    I3DFieldI, IFieldI
  Direct Known Subclasses:
    IPlaneAttractorField.IPlaneAttractorFieldGeo

      public class IPlaneFieldGeo
      extends IFieldGeo
      implements I3DFieldI

  3D vector filed defined by a plane.
  Author:
    Satoru Sugihara

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class igeo.IFieldGeo

      `IFieldGeo.Decay`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IVecI` | `nml`
    `IVecI` | `pos`

    - ### Fields inherited from class igeo.IFieldGeo

      `bidirectional, constantIntensity, customDecay, decay, gaussDecay, intensity, linearDecay, noDecay, threshold`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IPlaneFieldGeo(IVecI p, IVecI n)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `del()`
    `IPlaneFieldGeo` | `gauss(double threshold)` alias of gaussianDecay
    `IPlaneFieldGeo` | `gaussian(double threshold)` alias of gaussianDecay
    `IPlaneFieldGeo` | `gaussianDecay(double threshold)` set Gaussian decay; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).
    `IVecI` | `get(IVecI v)` get 3D vector field value
    `IVecI` | `get(IVecI pt, IVecI vel)` get 3D vector field value
    `IVecI` | `getForce(IVecI v)` get original field value out of curve parameter u
    `IVecI` | `getForce(IVecI v, IVecI vel)` get original field value out of curve parameter u
    `IPlaneFieldGeo` | `intensity(double i)` set output intensity
    `IPlaneFieldGeo` | `linear(double threshold)` alias of linearDecay
    `IPlaneFieldGeo` | `linearDecay(double threshold)` set linear decay; When distance is equal to threshold, output is zero.
    `IVec` | `nml()`
    `IPlaneFieldGeo` | `noDecay()` set no decay
    `IVec` | `pos()`
    `IPlaneFieldGeo` | `threshold(double t)` set decay threshold

    - ### Methods inherited from class igeo.IFieldGeo

      `bidirectional, constantIntensity, decay, decay, intensity, threshold`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface igeo.IFieldI

      `bidirectional, constantIntensity, decay, intensity, threshold`

- - ### Field Detail

    - #### pos

          public IVecI pos

    - #### nml

          public IVecI nml

  - ### Constructor Detail

    - #### IPlaneFieldGeo

          public IPlaneFieldGeo(IVecI p,
                                IVecI n)

  - ### Method Detail

    - #### getForce

          public IVecI getForce(IVecI v)

      get original field value out of curve parameter u

    - #### getForce

          public IVecI getForce(IVecI v,
                                IVecI vel)

      get original field value out of curve parameter u

    - #### get

          public IVecI get(IVecI v)

      get 3D vector field value
      Specified by:
        `get` in interface `I3DFieldI`
      Specified by:
        `get` in interface `IFieldI`

    - #### get

          public IVecI get(IVecI pt,
                           IVecI vel)

      get 3D vector field value
      Specified by:
        `get` in interface `I3DFieldI`
      Specified by:
        `get` in interface `IFieldI`

    - #### pos

          public IVec pos()

    - #### nml

          public IVec nml()

    - #### noDecay

          public IPlaneFieldGeo noDecay()

      set no decay
      Specified by:
        `noDecay` in interface `IFieldI`
      Overrides:
        `noDecay` in class `IFieldGeo`

    - #### linearDecay

          public IPlaneFieldGeo linearDecay(double threshold)

      set linear decay; When distance is equal to threshold, output is zero.
      Specified by:
        `linearDecay` in interface `IFieldI`
      Overrides:
        `linearDecay` in class `IFieldGeo`

    - #### linear

          public IPlaneFieldGeo linear(double threshold)

      Description copied from class: `IFieldGeo`
      alias of linearDecay
      Specified by:
        `linear` in interface `IFieldI`
      Overrides:
        `linear` in class `IFieldGeo`

    - #### gaussianDecay

          public IPlaneFieldGeo gaussianDecay(double threshold)

      set Gaussian decay; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).
      Specified by:
        `gaussianDecay` in interface `IFieldI`
      Overrides:
        `gaussianDecay` in class `IFieldGeo`

    - #### gaussian

          public IPlaneFieldGeo gaussian(double threshold)

      Description copied from class: `IFieldGeo`
      alias of gaussianDecay
      Specified by:
        `gaussian` in interface `IFieldI`
      Overrides:
        `gaussian` in class `IFieldGeo`

    - #### gauss

          public IPlaneFieldGeo gauss(double threshold)

      Description copied from class: `IFieldGeo`
      alias of gaussianDecay
      Specified by:
        `gauss` in interface `IFieldI`
      Overrides:
        `gauss` in class `IFieldGeo`

    - #### threshold

          public IPlaneFieldGeo threshold(double t)

      Description copied from class: `IFieldGeo`
      set decay threshold
      Specified by:
        `threshold` in interface `IFieldI`
      Overrides:
        `threshold` in class `IFieldGeo`

    - #### intensity

          public IPlaneFieldGeo intensity(double i)

      Description copied from class: `IFieldGeo`
      set output intensity
      Specified by:
        `intensity` in interface `IFieldI`
      Overrides:
        `intensity` in class `IFieldGeo`

    - #### del

          public void del()

      Specified by:
        `del` in interface `IFieldI`